Bug 1411036 - Review Request: python-ECPy - Pure Python Elliptic Curve Library
Summary: Review Request: python-ECPy - Pure Python Elliptic Curve Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: fszymanski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 18:24 UTC by Mike Goodwin
Modified: 2017-01-19 06:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-19 05:53:55 UTC
Type: ---
fszymanski: fedora-review+


Attachments (Terms of Use)

Description Mike Goodwin 2017-01-07 18:24:39 UTC
Spec URL: https://github.com/xenithorb/fedora-specs/blob/master/python-ECPy/python-ECPy.spec

SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/9325/17199325/python-ECPy-0.8.1-0.fc25.src.rpm

Description: ECPy (pronounced ekpy), is a pure python Elliptic Curve library providing ECDSA, EDDSA, ECSchnorr, Borromean signatures as well as Point operations.

Fedora Account System Username:
 xenithorb

Additional Information: I'm in need of this library being packaged for my eventual review of python-ledgerblue

Comment 1 Mike Goodwin 2017-01-07 18:47:36 UTC
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/9487/17199487/python-ECPy-0.8.1-0.fc25.src.rpm

Fixed a small typo that I was propagating from upstream

Comment 2 fszymanski 2017-01-08 22:52:24 UTC
Hi Mike,

1) Spec file URL must be raw:

https://raw.githubusercontent.com/xenithorb/fedora-specs/master/python-ECPy/python-ECPy.spec

2) The %{?dist} tag can not be 0:

Release: 1%{?dist}

3) According to the SourceURL packagin guidelines Source0 should look like this:

Source0:  https://github.com/ubinity/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

See: https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Tags

4) The `sum` global is unnecessary, use %{summary} macro:

Summary:  Pure Python Elliptic Curve Library
...
%package -n python2-%{srcname}
Summary: %{summary}
Requires: python2-future
%{?python_provide:%python_provide python2-%{srcname}}
...

5) The future module is only required by Python 2 (see setup.py file).

6) Create a documentation subpackage (example below):

BuildRequires:  python3-sphinx
...
%package doc
Summary:        Documentation for python-%{srcname}

%description doc
This package contains the documentation for python-%{srcname}.
...
%build
%py2_build
%py3_build

%make_build -C doc singlehtml
rm -f doc/build/singlehtml/{.buildinfo,.nojekyll}
...
%files doc
%license LICENSE
%doc doc/build/singlehtml/*

7) If there are no tests remove the %check section.

Comment 3 Mike Goodwin 2017-01-09 14:15:11 UTC
1) ok
2) Changed
3) Changed, was not aware of that format for github!
4) Changed. That was propagated from the example file here: https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file my other python packages follow that as well. For consistency's sake, maybe also change that wiki page?
5) Changed
6) Added, will build doc packages from now on 
7) Removed

SPEC: https://raw.githubusercontent.com/xenithorb/fedora-specs/master/python-ECPy/python-ECPy.spec
SRPM: https://kojipkgs.fedoraproject.org//work/tasks/2563/17222563/python-ECPy-0.8.1-1.fc25.src.rpm

Comment 4 fszymanski 2017-01-09 15:28:11 UTC
I also always used to use the `sum` global but recently people more and more insist on using the %{summary} macro. You're probably right about the wiki page.

One more small thing. Remove the changelog entry with the release number 0 (just make 0.8.1-1 the initial release). After that I will do a review with the `fedora-review` tool, and if everything is okay I approve the package.

Comment 5 Mike Goodwin 2017-01-09 15:37:43 UTC
May I ask where these new macros are being documented? I figured I'd try and see if a similar macro existed for description, but no luck. 

It would seem logical that if we have one for summary, one should also exist for the larger description. (just generally saying, not a formal request to you or anything)

----

The requested changes have been made here: 

SPEC: https://raw.githubusercontent.com/xenithorb/fedora-specs/master/python-ECPy/python-ECPy.spec

SRPM: https://kojipkgs.fedoraproject.org//work/tasks/3179/17223179/python-ECPy-0.8.1-1.fc25.src.rpm

Comment 6 fszymanski 2017-01-09 16:40:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

None (Package approved)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 7 files have unknown license. Detailed output of licensecheck
     in /home/???/1411036-python-ECPy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-ECPy , python3-ECPy , python-ECPy-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-ECPy-0.8.1-1.fc25.noarch.rpm
          python3-ECPy-0.8.1-1.fc25.noarch.rpm
          python-ECPy-doc-0.8.1-1.fc25.noarch.rpm
          python-ECPy-0.8.1-1.fc25.src.rpm
python2-ECPy.noarch: W: spelling-error %description -l en_US ekpy -> espy
python3-ECPy.noarch: W: spelling-error %description -l en_US ekpy -> espy
python-ECPy.src: W: spelling-error %description -l en_US ekpy -> espy
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-ECPy.noarch: W: spelling-error %description -l en_US ekpy -> espy
python3-ECPy.noarch: W: spelling-error %description -l en_US ekpy -> espy
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-ECPy (rpmlib, GLIBC filtered):
    python(abi)
    python2-future

python3-ECPy (rpmlib, GLIBC filtered):
    python(abi)

python-ECPy-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-ECPy:
    python-ECPy
    python2-ECPy
    python2.7dist(ecpy)
    python2dist(ecpy)

python3-ECPy:
    python3-ECPy
    python3.5dist(ecpy)
    python3dist(ecpy)

python-ECPy-doc:
    python-ECPy-doc



Source checksums
----------------
https://github.com/ubinity/ECPy/archive/v0.8.1/ECPy-0.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : 50fa2d9c3e4d86bef2d0ce0467741cf65df53fe24ab3a09691a1e97a0382e2a4
  CHECKSUM(SHA256) upstream package : 50fa2d9c3e4d86bef2d0ce0467741cf65df53fe24ab3a09691a1e97a0382e2a4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1411036
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 fszymanski 2017-01-09 16:40:39 UTC
Package approved.

Comment 8 Mike Goodwin 2017-01-09 16:47:44 UTC
Thanks for taking the time!

Submitting pkgdb request.

Comment 9 Gwyn Ciesla 2017-01-09 17:28:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-ECPy

Comment 10 Fedora Update System 2017-01-09 17:53:50 UTC
python-ECPy-0.8.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd373eb763

Comment 11 Fedora Update System 2017-01-09 17:54:24 UTC
python-ECPy-0.8.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2eeacdbd4

Comment 12 Fedora Update System 2017-01-10 03:23:52 UTC
python-ECPy-0.8.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2eeacdbd4

Comment 13 Fedora Update System 2017-01-10 03:28:25 UTC
python-ECPy-0.8.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd373eb763

Comment 14 Fedora Update System 2017-01-19 05:53:55 UTC
python-ECPy-0.8.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-19 06:20:19 UTC
python-ECPy-0.8.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.